/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Mon Okt  1 19:59:45 CEST 2001
    copyright            : (C) 2001 by Mathias Kster
    email                : mathen@ketelhot.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qapplication.h>
#include <qfont.h>
#include <qstring.h>
#include <qtextcodec.h>
#include <qtranslator.h>
#include <qlabel.h>
#include <qstylefactory.h>

#include <cdivxcalcapp.h>

/** */
int main(int argc, char *argv[])
{
	int ret;
	QApplication * pApplication;
	QTranslator tor(0);
	QFont appFont;

	pApplication = new QApplication(argc, argv);

	// load translation
	if ( tor.load( QString("divxcalc.") + QTextCodec::locale(), "." ) )
	{
		pApplication->installTranslator( &tor );
	}

	CDivxCalcApp *divxcalc = new CDivxCalcApp();

	pApplication->setMainWidget(divxcalc);

	divxcalc->show();

	ret = pApplication->exec();

	pApplication->setMainWidget(0);

	delete divxcalc;
	delete pApplication;

	return ret;
}
